# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.drawing
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import Any, cast, TYPE_CHECKING


if TYPE_CHECKING:

    from com.sun.star.drawing.CircleKind import ARC as CIRCLE_KIND_ARC
    from com.sun.star.drawing.CircleKind import CUT as CIRCLE_KIND_CUT
    from com.sun.star.drawing.CircleKind import FULL as CIRCLE_KIND_FULL
    from com.sun.star.drawing.CircleKind import SECTION as CIRCLE_KIND_SECTION

    class CircleKind(uno.Enum):
        """
        Enum Class


        See Also:
            `API CircleKind <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1drawing.html#a6a52201f72a50075b45fea2c19340c0e>`_
        """

        def __init__(self, value: Any) -> None:
            super().__init__('com.sun.star.drawing.CircleKind', value)

        __ooo_ns__: str = 'com.sun.star.drawing'
        __ooo_full_ns__: str = 'com.sun.star.drawing.CircleKind'
        __ooo_type_name__: str = 'enum'

        ARC = cast("CircleKind", CIRCLE_KIND_ARC)
        """
        a circle with an open cut
        """
        CUT = cast("CircleKind", CIRCLE_KIND_CUT)
        """
        a circle with a cut connected by two lines
        """
        FULL = cast("CircleKind", CIRCLE_KIND_FULL)
        """
        a full circle
        """
        SECTION = cast("CircleKind", CIRCLE_KIND_SECTION)
        """
        a circle with a cut connected by a line
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class CircleKind(metaclass=UnoEnumMeta, type_name="com.sun.star.drawing.CircleKind", name_space="com.sun.star.drawing"):
        """Dynamically created class that represents ``com.sun.star.drawing.CircleKind`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['CircleKind']
