# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.registry
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import Any, cast, TYPE_CHECKING


if TYPE_CHECKING:

    from com.sun.star.registry.RegistryValueType import ASCII as REGISTRY_VALUE_TYPE_ASCII
    from com.sun.star.registry.RegistryValueType import ASCIILIST as REGISTRY_VALUE_TYPE_ASCIILIST
    from com.sun.star.registry.RegistryValueType import BINARY as REGISTRY_VALUE_TYPE_BINARY
    from com.sun.star.registry.RegistryValueType import LONG as REGISTRY_VALUE_TYPE_LONG
    from com.sun.star.registry.RegistryValueType import LONGLIST as REGISTRY_VALUE_TYPE_LONGLIST
    from com.sun.star.registry.RegistryValueType import NOT_DEFINED as REGISTRY_VALUE_TYPE_NOT_DEFINED
    from com.sun.star.registry.RegistryValueType import STRING as REGISTRY_VALUE_TYPE_STRING
    from com.sun.star.registry.RegistryValueType import STRINGLIST as REGISTRY_VALUE_TYPE_STRINGLIST

    class RegistryValueType(uno.Enum):
        """
        Enum Class


        See Also:
            `API RegistryValueType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1registry.html#a62fb96939bafde3da828f782a8433ac3>`_
        """

        def __init__(self, value: Any) -> None:
            super().__init__('com.sun.star.registry.RegistryValueType', value)

        __ooo_ns__: str = 'com.sun.star.registry'
        __ooo_full_ns__: str = 'com.sun.star.registry.RegistryValueType'
        __ooo_type_name__: str = 'enum'

        ASCII = cast("RegistryValueType", REGISTRY_VALUE_TYPE_ASCII)
        """
        the type of the key is ASCII.
        """
        ASCIILIST = cast("RegistryValueType", REGISTRY_VALUE_TYPE_ASCIILIST)
        """
        the type of the key is an ASCIILIST.
        """
        BINARY = cast("RegistryValueType", REGISTRY_VALUE_TYPE_BINARY)
        """
        the type of the key is binary.
        """
        LONG = cast("RegistryValueType", REGISTRY_VALUE_TYPE_LONG)
        """
        the type of the key is long.
        """
        LONGLIST = cast("RegistryValueType", REGISTRY_VALUE_TYPE_LONGLIST)
        """
        the type of the key is LONGLIST.
        """
        NOT_DEFINED = cast("RegistryValueType", REGISTRY_VALUE_TYPE_NOT_DEFINED)
        """
        the type of the key is not defined.
        """
        STRING = cast("RegistryValueType", REGISTRY_VALUE_TYPE_STRING)
        """
        the type of the key is a string.
        """
        STRINGLIST = cast("RegistryValueType", REGISTRY_VALUE_TYPE_STRINGLIST)
        """
        the type of the key is a STRINGLIST.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class RegistryValueType(metaclass=UnoEnumMeta, type_name="com.sun.star.registry.RegistryValueType", name_space="com.sun.star.registry"):
        """Dynamically created class that represents ``com.sun.star.registry.RegistryValueType`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['RegistryValueType']
