# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.style
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import Any, cast, TYPE_CHECKING


if TYPE_CHECKING:

    from com.sun.star.style.VerticalAlignment import BOTTOM as VERTICAL_ALIGNMENT_BOTTOM
    from com.sun.star.style.VerticalAlignment import MIDDLE as VERTICAL_ALIGNMENT_MIDDLE
    from com.sun.star.style.VerticalAlignment import TOP as VERTICAL_ALIGNMENT_TOP

    class VerticalAlignment(uno.Enum):
        """
        Enum Class


        See Also:
            `API VerticalAlignment <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1style.html#a9c2ed22cfbd21f13df24ea193b310aee>`_
        """

        def __init__(self, value: Any) -> None:
            super().__init__('com.sun.star.style.VerticalAlignment', value)

        __ooo_ns__: str = 'com.sun.star.style'
        __ooo_full_ns__: str = 'com.sun.star.style.VerticalAlignment'
        __ooo_type_name__: str = 'enum'

        BOTTOM = cast("VerticalAlignment", VERTICAL_ALIGNMENT_BOTTOM)
        """
        set the vertical alignment to the bottom margin from the container object.
        """
        MIDDLE = cast("VerticalAlignment", VERTICAL_ALIGNMENT_MIDDLE)
        """
        set the vertical alignment to the top margin from the container object.
        """
        TOP = cast("VerticalAlignment", VERTICAL_ALIGNMENT_TOP)
        """
        set the vertical alignment to the center between the top and bottom margins from the container object.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class VerticalAlignment(metaclass=UnoEnumMeta, type_name="com.sun.star.style.VerticalAlignment", name_space="com.sun.star.style"):
        """Dynamically created class that represents ``com.sun.star.style.VerticalAlignment`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['VerticalAlignment']
