# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.table
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import Any, cast, TYPE_CHECKING


if TYPE_CHECKING:

    from com.sun.star.table.CellHoriJustify import BLOCK as CELL_HORI_JUSTIFY_BLOCK
    from com.sun.star.table.CellHoriJustify import CENTER as CELL_HORI_JUSTIFY_CENTER
    from com.sun.star.table.CellHoriJustify import LEFT as CELL_HORI_JUSTIFY_LEFT
    from com.sun.star.table.CellHoriJustify import REPEAT as CELL_HORI_JUSTIFY_REPEAT
    from com.sun.star.table.CellHoriJustify import RIGHT as CELL_HORI_JUSTIFY_RIGHT
    from com.sun.star.table.CellHoriJustify import STANDARD as CELL_HORI_JUSTIFY_STANDARD

    class CellHoriJustify(uno.Enum):
        """
        Enum Class


        See Also:
            `API CellHoriJustify <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1table.html#ab3c576b107bd5018643ab5612438fdf2>`_
        """

        def __init__(self, value: Any) -> None:
            super().__init__('com.sun.star.table.CellHoriJustify', value)

        __ooo_ns__: str = 'com.sun.star.table'
        __ooo_full_ns__: str = 'com.sun.star.table.CellHoriJustify'
        __ooo_type_name__: str = 'enum'

        BLOCK = cast("CellHoriJustify", CELL_HORI_JUSTIFY_BLOCK)
        """
        contents are justified to the cell width.
        """
        CENTER = cast("CellHoriJustify", CELL_HORI_JUSTIFY_CENTER)
        """
        contents are horizontally centered.
        
        contents are aligned to the vertical middle of the cell.
        """
        LEFT = cast("CellHoriJustify", CELL_HORI_JUSTIFY_LEFT)
        """
        contents are aligned to the left edge of the cell.
        """
        REPEAT = cast("CellHoriJustify", CELL_HORI_JUSTIFY_REPEAT)
        """
        contents are repeated to fill the cell.
        """
        RIGHT = cast("CellHoriJustify", CELL_HORI_JUSTIFY_RIGHT)
        """
        contents are aligned to the right edge of the cell.
        """
        STANDARD = cast("CellHoriJustify", CELL_HORI_JUSTIFY_STANDARD)
        """
        default alignment is used (left for numbers, right for text).
        
        default alignment is used.
        
        contents are printed from left to right.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class CellHoriJustify(metaclass=UnoEnumMeta, type_name="com.sun.star.table.CellHoriJustify", name_space="com.sun.star.table"):
        """Dynamically created class that represents ``com.sun.star.table.CellHoriJustify`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['CellHoriJustify']
