# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.task
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import Any, cast, TYPE_CHECKING


if TYPE_CHECKING:

    from com.sun.star.task.InteractionClassification import ERROR as INTERACTION_CLASSIFICATION_ERROR
    from com.sun.star.task.InteractionClassification import INFO as INTERACTION_CLASSIFICATION_INFO
    from com.sun.star.task.InteractionClassification import QUERY as INTERACTION_CLASSIFICATION_QUERY
    from com.sun.star.task.InteractionClassification import WARNING as INTERACTION_CLASSIFICATION_WARNING

    class InteractionClassification(uno.Enum):
        """
        Enum Class


        See Also:
            `API InteractionClassification <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1task.html#ab0d207be361f7bd99bb18090b7a9e47b>`_
        """

        def __init__(self, value: Any) -> None:
            super().__init__('com.sun.star.task.InteractionClassification', value)

        __ooo_ns__: str = 'com.sun.star.task'
        __ooo_full_ns__: str = 'com.sun.star.task.InteractionClassification'
        __ooo_type_name__: str = 'enum'

        ERROR = cast("InteractionClassification", INTERACTION_CLASSIFICATION_ERROR)
        """
        An error.
        """
        INFO = cast("InteractionClassification", INTERACTION_CLASSIFICATION_INFO)
        """
        Some information for the client/user (which will typically lead to the selection of an com.sun.star.task.XInteractionApprove continuation).
        """
        QUERY = cast("InteractionClassification", INTERACTION_CLASSIFICATION_QUERY)
        """
        A query for the client/user (which will typically lead to the selection of an com.sun.star.task.XInteractionApprove or com.sun.star.task.XInteractionDisapprove continuation).
        """
        WARNING = cast("InteractionClassification", INTERACTION_CLASSIFICATION_WARNING)
        """
        A warning, less severe than an error.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class InteractionClassification(metaclass=UnoEnumMeta, type_name="com.sun.star.task.InteractionClassification", name_space="com.sun.star.task"):
        """Dynamically created class that represents ``com.sun.star.task.InteractionClassification`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['InteractionClassification']
